UPRIGHTDIFF(1)

NAME
uprightdiff - examines the differences between two images

SYNOPSIS
uprightdiff [options] <input-1> <input-2> <output>

DESCRIPTION
uprightdiff examines the differences between two images. It produces a visual annotation and reports statistics.

It is optimised for images which come from browser screenshots. It analyses the image for vertical motion, and annotates connected regions that have the same vertical displacement. Then it highlights any remaining ("residual") differences which are not explained by vertical motion on a pixel-by-pixel basis.

--help
    Show help message and exit

--block-size arg
    Block size for initial search (default 16)

--window-size arg
    Initial range for vertical motion detection (default 200)

--brush-width arg
    Brush width when heuristically expanding blocks. A higher value gives smoother motion regions. This should be an odd number. (default 9)

--outer-hl-window arg
    The size of the outer square used for detecting isolated small features to highlight. This size defines what we mean by "isolated". It should be an odd number. (default 21)

--inner-hl-window arg
    The size of the inner square used for detecting isolated small features to highlight. This size defines what we mean by "small". It should be an odd number. (default 5)

--intermediate-dir arg
    A directory where intermediate images should be placed. This is our equivalent of debug or trace output.

-v [ --verbose ]
    Write progress info to stderr.

--format arg
    The output format for statistics, may be text (the default), json or none.

-t [ --log-timestamp ]
    Annotate progress info with elapsed time.

AUTHOR
Tim Starling <tstarling@wikimedia.org>